# -*- coding: utf-8 -*-
from setuphelpers import *

def get_ssh_status():
    # Return True if enabled, False if disabled
    status = run(r'systemsetup -getremotelogin')
    if r'Remote Login: On' in status:
        return True
    else:
        return False

def install():
    print(r'Enabling SSH service...')
    if not get_ssh_status():
        ret = run(r'systemsetup -setremotelogin on')
        if ret != r'':
            print(r'Error enabling SSH service, see reason below.')
            error(ret)
        else:
            if get_ssh_status():
                print(r'SSH service successfully enabled.')
            else:
                error(r'SSH service not enabled.')
    else:
        print(r'SSH service already enabled.')

def uninstall():
    if get_ssh_status():
        ret = run(r'systemsetup -f -setremotelogin off')
        if get_ssh_status():
            print(r'Error disabling SSH service, see reason below.')
            error(ret)
        else:
            print(r'SSH service successfully disabled.')
    else:
        print(r'SSH service already disabled.')

def audit():
    if not get_ssh_status():
        print(r'SSH service not enabled')
        return "WARNING"
    else:
        print(r'SSH service enabled.')
        return "OK"